enum E{
	a(1),b(2),c(3);//此时的分号不能省略

	int i;//用于存储枚举值传递的参数

	//枚举的构造方法只能使用缺省的或者private访问修饰符
	private E(int i){
		this.i=i;
	}

	public int getValue(){//注意枚举的方法头不能与Enum类中的方法冲突
		return i;
	}

	//由于枚举结构内可以声明方法，所以main方法就可以纳入进来了
	public static void main(String[] args){
		for(E e: E.values()){
			System.out.print(e);
			System.out.println(e.i);//也可以调用方法e.getValue()
		}
	}
}
